/* dont change anything below this line unless you know what you are doing :-) */

var d = new Date();
var hours = d.getHours();
var minutes = d.getMinutes();
var seconds = d.getSeconds();
var time, mangled;

function update() {
    setTimeout(update, 2000);
	d = new Date();
	hours = d.getHours();
	minutes = d.getMinutes();
	seconds = d.getSeconds();	

	if (hours == 0) hours = 12;
	else if (hours > 12) hours -= 12;

	$('.on').addClass('old'); //mark everything turned on as old

	if (minutes <= 4) {

		// **:** Uhr!
	
		$('tr:eq(0) > td').slice(0,2).addClass('on').removeClass('old');	//es
		$('tr:eq(0) > td').slice(3,6).addClass('on').removeClass('old');	//ist

		mangled = timeMangle(hours);
		$('tr:eq(' + mangled[0] + ') > td').slice(mangled[1], mangled[2]).addClass('on').removeClass('old');

		$('tr:eq(9) > td').slice(8,11).addClass('on').removeClass('old');	// uhr	  

	} else if (minutes <= 9){

		// fünf nach
		
		$('tr:eq(0) > td').slice(0,2).addClass('on').removeClass('old');	//es
		$('tr:eq(0) > td').slice(3,6).addClass('on').removeClass('old');	//ist
		$('tr:eq(0) > td').slice(7,11).addClass('on').removeClass('old');   //fünf
		$('tr:eq(3) > td').slice(7,11).addClass('on').removeClass('old');	//nach  

		mangled = timeMangle(hours);
		$('tr:eq(' + mangled[0] + ') > td').slice(mangled[1], mangled[2]).addClass('on').removeClass('old');

	} else if (minutes <= 14) {

		// zehn nach

		$('tr:eq(0) > td').slice(0,2).addClass('on').removeClass('old');	//es
		$('tr:eq(0) > td').slice(3,6).addClass('on').removeClass('old');	//ist
		$('tr:eq(1) > td').slice(0,4).addClass('on').removeClass('old');	//zehn
		$('tr:eq(3) > td').slice(7,11).addClass('on').removeClass('old');	//nach

		mangled = timeMangle(hours);
		$('tr:eq(' + mangled[0] + ') > td').slice(mangled[1], mangled[2]).addClass('on').removeClass('old');

	} else if (minutes <= 19) {

		// viertel nach

		$('tr:eq(0) > td').slice(0,2).addClass('on').removeClass('old');	//es
		$('tr:eq(0) > td').slice(3,6).addClass('on').removeClass('old');	//ist
		$('tr:eq(2) > td').slice(4,11).addClass('on').removeClass('old');	//viertel
		$('tr:eq(3) > td').slice(7,11).addClass('on').removeClass('old');   //nach

		mangled = timeMangle(hours);
		$('tr:eq(' + mangled[0] + ') > td').slice(mangled[1], mangled[2]).addClass('on').removeClass('old');

	} else if (minutes <= 24) {
	
		// zwanzig nach

		$('tr:eq(0) > td').slice(0,2).addClass('on').removeClass('old');	//es
		$('tr:eq(0) > td').slice(3,6).addClass('on').removeClass('old');	//ist
		$('tr:eq(1) > td').slice(4,11).addClass('on').removeClass('old');	//zwanzig
		$('tr:eq(3) > td').slice(7,11).addClass('on').removeClass('old');   //nach

		mangled = timeMangle(hours);
		$('tr:eq(' + mangled[0] + ') > td').slice(mangled[1], mangled[2]).addClass('on').removeClass('old');


	} else if (minutes <= 29) {
	
		// fünf vor halb
		
		$('tr:eq(0) > td').slice(0,2).addClass('on').removeClass('old');	//es
		$('tr:eq(0) > td').slice(3,6).addClass('on').removeClass('old');	//ist
		$('tr:eq(0) > td').slice(7,11).addClass('on').removeClass('old');   //fünf
		$('tr:eq(3) > td').slice(0,3).addClass('on').removeClass('old');    //vor
		$('tr:eq(4) > td').slice(0,4).addClass('on').removeClass('old');	//halb

		mangled = timeMangle(hours+1);										//next hour
		$('tr:eq(' + mangled[0] + ') > td').slice(mangled[1], mangled[2]).addClass('on').removeClass('old');

	} else if (minutes <= 34) {

		//halb

		$('tr:eq(0) > td').slice(0,2).addClass('on').removeClass('old');	//es
		$('tr:eq(0) > td').slice(3,6).addClass('on').removeClass('old');	//ist
		$('tr:eq(4) > td').slice(0,4).addClass('on').removeClass('old');	//halb

		mangled = timeMangle(hours+1);										//next hour
		$('tr:eq(' + mangled[0] + ') > td').slice(mangled[1], mangled[2]).addClass('on').removeClass('old');

	} else if (minutes <= 39) {

		//fünf nach halb

		$('tr:eq(0) > td').slice(0,2).addClass('on').removeClass('old');	//es
		$('tr:eq(0) > td').slice(3,6).addClass('on').removeClass('old');	//ist	
		$('tr:eq(0) > td').slice(7,11).addClass('on').removeClass('old');   //fünf
		$('tr:eq(3) > td').slice(7,11).addClass('on').removeClass('old');   //nach
		$('tr:eq(4) > td').slice(0,4).addClass('on').removeClass('old');	//halb

		mangled = timeMangle(hours+1);										//next hour
		$('tr:eq(' + mangled[0] + ') > td').slice(mangled[1], mangled[2]).addClass('on').removeClass('old');

	} else if (minutes <= 44) {

		// zwanzig vor

		$('tr:eq(0) > td').slice(0,2).addClass('on').removeClass('old');	//es
		$('tr:eq(0) > td').slice(3,6).addClass('on').removeClass('old');	//ist
		$('tr:eq(1) > td').slice(4,11).addClass('on').removeClass('old');	//zwanzig
		$('tr:eq(3) > td').slice(0,3).addClass('on').removeClass('old');    //vor
	
		mangled = timeMangle(hours+1);										//next hour
		$('tr:eq(' + mangled[0] + ') > td').slice(mangled[1], mangled[2]).addClass('on').removeClass('old');

	} else if (minutes <= 49) {

		// viertel vor

		$('tr:eq(0) > td').slice(0,2).addClass('on').removeClass('old');	//es
		$('tr:eq(0) > td').slice(3,6).addClass('on').removeClass('old');	//ist
		$('tr:eq(2) > td').slice(4,11).addClass('on').removeClass('old');	//viertel	 
		$('tr:eq(3) > td').slice(0,3).addClass('on').removeClass('old');    //vor

		mangled = timeMangle(hours+1);										//next hour
		$('tr:eq(' + mangled[0] + ') > td').slice(mangled[1], mangled[2]).addClass('on').removeClass('old');

	} else if (minutes <= 54) {

		// zehn vor

		$('tr:eq(0) > td').slice(0,2).addClass('on').removeClass('old');	//es
		$('tr:eq(0) > td').slice(3,6).addClass('on').removeClass('old');	//ist
		$('tr:eq(1) > td').slice(0,4).addClass('on').removeClass('old');	//zehn
		$('tr:eq(3) > td').slice(0,3).addClass('on').removeClass('old');    //vor
	
		mangled = timeMangle(hours+1);										//next hour
		$('tr:eq(' + mangled[0] + ') > td').slice(mangled[1], mangled[2]).addClass('on').removeClass('old');

	} else if (minutes <= 59) {

		// fünf vor

		$('tr:eq(0) > td').slice(0,2).addClass('on').removeClass('old');	//es
		$('tr:eq(0) > td').slice(3,6).addClass('on').removeClass('old');	//ist
		$('tr:eq(0) > td').slice(7,11).addClass('on').removeClass('old');   //fünf
		$('tr:eq(3) > td').slice(0,3).addClass('on').removeClass('old');   //vor
	
		mangled = timeMangle(hours+1);										//next hour
		$('tr:eq(' + mangled[0] + ') > td').slice(mangled[1], mangled[2]).addClass('on').removeClass('old');

	}

	if (minutes == 1 || minutes == 6 || minutes == 11 || minutes == 16 || minutes == 21 || minutes == 26 || minutes == 31 || minutes == 36 || minutes == 41 || minutes == 46 || minutes == 51 || minutes == 56) {
		$('div.dot_1').addClass('on').removeClass('old');

	} else if (minutes == 2 || minutes == 7 || minutes == 12 || minutes == 17 || minutes == 22 || minutes == 27 || minutes == 32 || minutes == 37 || minutes == 42 || minutes == 47 || minutes == 52 || minutes == 57) {
		$('div.dot_1').addClass('on').removeClass('old');
		$('div.dot_2').addClass('on').removeClass('old');

	} else if (minutes == 3 || minutes == 8 || minutes == 13 || minutes == 18 || minutes == 23 || minutes == 28 || minutes == 33 || minutes == 38 || minutes == 43 || minutes == 48 || minutes == 53 || minutes == 58) {
		$('div.dot_1').addClass('on').removeClass('old');
		$('div.dot_2').addClass('on').removeClass('old');		
		$('div.dot_3').addClass('on').removeClass('old');

	} else if (minutes == 4 || minutes == 9 || minutes == 14 || minutes == 19 || minutes == 24 || minutes == 29 || minutes == 34 || minutes == 39 || minutes == 44 || minutes == 49 || minutes == 54 || minutes == 59) {
		$('div.dot_1').addClass('on').removeClass('old');
		$('div.dot_2').addClass('on').removeClass('old');		
		$('div.dot_3').addClass('on').removeClass('old');		
		$('div.dot_4').addClass('on').removeClass('old');

	}	

	$('.old').removeClass('on', 'old'); // turns everything marked as old off after complete update

}

function timeMangle(number) {
	var mangle = new Array();

	mangle[0] = [8, 6, 11]; 	//if hours variable is set 0 script should replace it with 12 and then mangles it with 12

	if (minutes <= 4)
	mangle[1] = [5, 0, 3];

	else
	mangle[1] = [5, 0, 4];
	mangle[2] = [5, 7, 11];
	mangle[3] = [6, 0, 4];
	mangle[4] = [6, 7, 11];
	mangle[5] = [4, 7, 11];
	mangle[6] = [7, 0, 5];
	mangle[7] = [8, 0, 6];
	mangle[8] = [7, 7, 11];
	mangle[9] = [9, 3, 7];
	mangle[10] = [9, 0, 4];
	mangle[11] = [4, 5, 8];
	mangle[12] = [8, 6, 11];

	if (minutes <= 4)
	mangle[13] = [5, 0, 3]; 	//special mangle for cases when date returns 12 and display script adds +1

	else
	mangle[13] = [5, 0, 4]; 	//special mangle for cases when date returns 12 and display script adds +1

	return mangle[number];

}